import { Unit } from './units-constants';
export interface UnifiedNumberFormatOptions extends Intl.NumberFormatOptions {
    unit?: Unit;
    unitDisplay?: 'long' | 'short' | 'narrow';
}
export default class UnifiedNumberFormat {
    private unit;
    private unitDisplay;
    private nf;
    private locale?;
    constructor(locale?: string, { style, unit, unitDisplay, ...options }?: UnifiedNumberFormatOptions);
    format(num: number): string;
    formatToParts(num: number): Intl.NumberFormatPart[];
    static supportedLocalesOf(...args: Parameters<typeof Intl.NumberFormat.supportedLocalesOf>): string[];
    static __unitLocaleData__: Record<string, Record<string, LocaleData>>;
    static __addUnitLocaleData(unit: Unit, ...data: LocaleData[]): void;
}
interface LocaleData {
    locale: string;
    parentLocale?: string;
    fields?: UnitData;
}
interface UnitPattern {
    one?: string;
    other?: string;
    perUnit?: string;
}
export interface UnitData {
    displayName: string;
    long: UnitPattern;
    short?: UnitPattern;
    narrow?: UnitPattern;
}
export {};
